#include <bits/stdc++.h>
using namespace std;
int n, m;

int najblizi(int n){
    int br=1;
    while(br<n){
        br*=2;
    }
return br-1;

}



int main(){
    
    cin >>n>>m;
    int s=0;
    int a[m];
    for(int i=0; i<m; i++){
        cin>>a[i];
    }
    while(a[0]>0){
        int x = najblizi(a[0]);
        for(int i=0; i<m; i++){
            a[i]= a[i]^x;
        }


    }

    for(int i=0; i<m; i++){
        s+=a[i];
    }
cout<<s;





}